Get Package Label Assignments
https://app.fossa.com/api/package-label-assignmentsGet Package Label assignments for the organization, optionally filtered. All filters are optional. When no filters are supplied, every Package Label assignment in the organization is returned (subject to the caller's project view permissions). Note - This endpoint is not available for organizations on the Free plan.
Query parameters
filters[packageId]stringfilters[packageVersion]stringfilters[scope]enumorgprojectrevisionfilters[scopeId]stringfilters[shouldIncludePackageWideLabels]booleanfilters[shouldIncludeRevisionScopedLabels]booleanResponses
200OKpackageLabelAssignmentsobject[]requiredThe matching package label assignments, each including the nested label that was assigned.
400Bad requestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Internal server erroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/package-label-assignmentscurl --request GET \ --url 'https://app.fossa.com/api/package-label-assignments' \ --header 'accept: application/json'Real request. Mutating methods can change data.
Query params
filters[packageId]stringfilters[packageVersion]stringfilters[scope]enumfilters[scopeId]stringfilters[shouldIncludePackageWideLabels]booleanfilters[shouldIncludeRevisionScopedLabels]boolean